#!/usr/bin/bash

# Wait for the current tty to be active before launching
tty=$1
shift

while [[ $(cat /sys/class/tty/tty0/active) != ${tty} ]]; do
        sleep 1
done

# Get the keyboard layout from /etc/vconsole.conf
if [ -e /etc/vconsole.conf ]; then
        source /etc/vconsole.conf
        if [ "${KEYMAP:2:1}" == "-" ]; then
                export XKB_DEFAULT_LAYOUT="${KEYMAP::2}"
                export XKB_DEFAULT_VARIANT="${KEYMAP:3}"
        fi
fi

# Run the remaining arguments
$@
